function init(self)
	self.WolvingtonDamage = self.Damage
	self.WolvingtonHealth = self.Health
	self.WolvingtonXMin = self.XMin
	self.WolvingtonXMax = self.XMax
	self.WolvingtonSpeedX = self.SpeedX
	self.WolvingtonSpeedY = self.SpeedY
	self.WolvingtonI = self.I
	self.MaxHealth = 200
	self.MaxDamage = 5
	self.Phase = 1
end

function main(self)
	local claw = GetClaw()
	if self.State == 0 then
		Wolvington(self)
		self.Damage = self.MaxDamage
		self.Health = self.MaxHealth
		self.XMin = self.WolvingtonXMin
		self.XMax = self.WolvingtonXMax
		self.I = self.WolvingtonI
		Jump = {}
		FloorSaw = {}
	else
		Wolvington(self)
	end
	if claw.Health > 0 and claw.State ~= 5004 then
		if self.Health <= 150 and self.Phase == 1 then 
			self.MaxHealth = 150
			self.Damage = 10
			self.MaxDamage = 10
			self.Phase = 2
			Jump[1] = CreateObject {x=37480, y=4680, z=1000, logic="JumpSwitch", image="GAME_SOUNDICON", XMin=37475, XMax=37485, YMin=4260, YMax=4292}
			Jump[2] = CreateObject {x=37550, y=4680, z=1000, logic="JumpSwitch", image="GAME_SOUNDICON", XMin=37545, XMax=37555, YMin=4260, YMax=4292}
			Jump[3] = CreateObject {x=37620, y=4680, z=1000, logic="JumpSwitch", image="GAME_SOUNDICON", XMin=37615, XMax=37625, YMin=4260, YMax=4292}
			Jump[4] = CreateObject {x=37690, y=4680, z=1000, logic="JumpSwitch", image="GAME_SOUNDICON", XMin=37685, XMax=37695, YMin=4260, YMax=4292}
			Jump[5] = CreateObject {x=37760, y=4680, z=1000, logic="JumpSwitch", image="GAME_SOUNDICON", XMin=37755, XMax=37765, YMin=4260, YMax=4292}
			Jump[6] = CreateObject {x=37830, y=4680, z=1000, logic="JumpSwitch", image="GAME_SOUNDICON", XMin=37825, XMax=37835, YMin=4260, YMax=4292}
			Jump[7] = CreateObject {x=37900, y=4680, z=1000, logic="JumpSwitch", image="GAME_SOUNDICON", XMin=37895, XMax=37905, YMin=4260, YMax=4292}
			RobberThief1 = CreateObject {x=37376, y=4672, z=1000, logic="RobberThief", image="LEVEL_ROBBERTHIEF", UserRect1 = {0,0,0,0}, UserRect2 = {0,0,0,0}}
			CutThroat1 = CreateObject {x=38010, y=4672, z=1000, logic="CutThroat", image="LEVEL_CUTTHROAT", UserRect1 = {0,0,0,0}, UserRect2 = {0,0,0,0}}
			Rat1 = CreateObject {x=38010, y=4672, z=1000, logic="Rat", image="LEVEL_RAT", XMin=37376, XMax=38010}
			Rat2 = CreateObject {x=37376, y=4672, z=1000, logic="Rat", image="LEVEL_RAT", XMin=37376, XMax=38010}
			Potion1 = CreateObject {x=37208, y=4576, z=1000, logic="HealthPowerup", image="GAME_HEALTH_POTION2"}
			Potion2 = CreateObject {x=38168, y=4576, z=1000, logic="HealthPowerup", image="GAME_HEALTH_POTION2"}
			Jump[1].DrawFlags.NoDraw = true
			Jump[2].DrawFlags.NoDraw = true
			Jump[3].DrawFlags.NoDraw = true
			Jump[4].DrawFlags.NoDraw = true
			Jump[5].DrawFlags.NoDraw = true
			Jump[6].DrawFlags.NoDraw = true
			Jump[7].DrawFlags.NoDraw = true
		end
		if self.Health <= 100 and self.Phase == 2 then 
			self.MaxHealth = 100
			self.Damage = 15
			self.MaxDamage = 15
			self.Phase = 3
			self.sound1 = CreateObject {x=37689, y=4262, z=1, logic="CustomLogic", name="AmbientSound", image="GAME_SOUNDICON", XMin=36900, XMax=38500, YMin=4050, YMax=4671}
			self.sound1.Flags.AlwaysActive = true
			self.sound1.DrawFlags.NoDraw = true
			Jump[8] = CreateObject {x=37480, y=4300, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37475, XMax=37485, YMin=3880, YMax=3912}
			Jump[9] = CreateObject {x=37550, y=4300, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37545, XMax=37555, YMin=3880, YMax=3912}
			Jump[10] = CreateObject {x=37620, y=4300, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37615, XMax=37625, YMin=3880, YMax=3912}
			Jump[11] = CreateObject {x=37690, y=4300, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37685, XMax=37695, YMin=3880, YMax=3912}
			Jump[12] = CreateObject {x=37760, y=4300, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37755, XMax=37765, YMin=3880, YMax=3912}
			Jump[13] = CreateObject {x=37830, y=4300, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37825, XMax=37835, YMin=3880, YMax=3912}
			Jump[14] = CreateObject {x=37900, y=4300, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37895, XMax=37905, YMin=3880, YMax=3912}
			Rat3 = CreateObject {x=38010, y=4284, z=1000, logic="Rat", image="LEVEL_RAT", XMin=37376, XMax=38010}
			Rat4 = CreateObject {x=37376, y=4284, z=1000, logic="Rat", image="LEVEL_RAT", XMin=37376, XMax=38010}
			Potion3 = CreateObject {x=37208, y=4192, z=1000, logic="HealthPowerup", image="GAME_HEALTH_POTION2"}
			Potion4 = CreateObject {x=38168, y=4192, z=1000, logic="HealthPowerup", image="GAME_HEALTH_POTION2"}
			FloorSaw[1] = CreateObject {x=37140, y=4360, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[2] = CreateObject {x=37236, y=4360, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[3] = CreateObject {x=38164, y=4360, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[4] = CreateObject {x=38260, y=4360, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[1].Flags.AlwaysActive = true
			FloorSaw[2].Flags.AlwaysActive = true
			FloorSaw[3].Flags.AlwaysActive = true
			FloorSaw[4].Flags.AlwaysActive = true
			FloorSaw[5] = CreateObject {x=37506, y=4360, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[6] = CreateObject {x=37602, y=4360, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[7] = CreateObject {x=37788, y=4360, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[8] = CreateObject {x=37884, y=4360, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[5].Flags.AlwaysActive = true
			FloorSaw[6].Flags.AlwaysActive = true
			FloorSaw[7].Flags.AlwaysActive = true
			FloorSaw[8].Flags.AlwaysActive = true
			Jump[8].DrawFlags.NoDraw = true
			Jump[9].DrawFlags.NoDraw = true
			Jump[10].DrawFlags.NoDraw = true
			Jump[11].DrawFlags.NoDraw = true
			Jump[12].DrawFlags.NoDraw = true
			Jump[13].DrawFlags.NoDraw = true
			Jump[14].DrawFlags.NoDraw = true
		end
		if self.Health <= 50 and self.Phase == 3 then 
			self.MaxHealth = 50
			self.Damage = 20
			self.MaxDamage = 20
			self.Phase = 4
			self.SpeedY = 3000
			self.SpeedX = 38676
			self.sound1.YMin = 3325	
			Jump[15] = CreateObject {x=37480, y=3920, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37475, XMax=37485, YMin=3500, YMax=3532}
			Jump[16] = CreateObject {x=37550, y=3920, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37545, XMax=37555, YMin=3500, YMax=3532}
			Jump[17] = CreateObject {x=37620, y=3920, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37615, XMax=37625, YMin=3500, YMax=3532}
			Jump[18] = CreateObject {x=37690, y=3920, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37685, XMax=37695, YMin=3500, YMax=3532}
			Jump[19] = CreateObject {x=37760, y=3920, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37755, XMax=37765, YMin=3500, YMax=3532}
			Jump[20] = CreateObject {x=37830, y=3920, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37825, XMax=37835, YMin=3500, YMax=3532}
			Jump[21] = CreateObject {x=37900, y=3920, z=1000, logic="JumpSwitch",image="GAME_SOUNDICON", XMin=37895, XMax=37905, YMin=3500, YMax=3532}
			Rat5 = CreateObject {x=38010, y=3408, z=1000, logic="Rat", image="LEVEL_RAT", XMin=37376, XMax=38010}
			Rat6 = CreateObject {x=37376, y=3408, z=1000, logic="Rat", image="LEVEL_RAT", XMin=37376, XMax=38010}
			Potion5 = CreateObject {x=37208, y=3808, z=1000, logic="HealthPowerup", image="GAME_HEALTH_POTION3"}
			Potion6 = CreateObject {x=38168, y=3808, z=1000, logic="HealthPowerup", image="GAME_HEALTH_POTION3"}
			MovingSaw1 = CreateObject {x=37140, y=3963, z=2000, name="UFloorSaw", logic="CustomLogic", image="CUSTOM_MOVINGSAW", XMin=37140, XMax=38260, Speed=3}
			MovingSaw2 = CreateObject {x=38260, y=3990, z=5100, name="UFloorSaw", logic="CustomLogic", image="CUSTOM_MOVINGSAW", XMin=37140, XMax=38260, Speed=3}
			FloorSaw[9] = CreateObject {x=37140, y=3592, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[10] = CreateObject {x=37236, y=3592, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[11] = CreateObject {x=38164, y=3592, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[12] = CreateObject {x=38260, y=3592, z=2000,  logic="FloorSpike", image="LEVEL_FLOORSAW", SpeedX=2000, SpeedY=500}
			FloorSaw[9].Flags.AlwaysActive = true
			FloorSaw[10].Flags.AlwaysActive = true
			FloorSaw[11].Flags.AlwaysActive = true
			FloorSaw[12].Flags.AlwaysActive = true
			MovingSaw1.DrawFlags.NoDraw = true
			MovingSaw2.DrawFlags.NoDraw = true
			MovingSaw1.Flags.AlwaysActive = true
			MovingSaw2.Flags.AlwaysActive = true
			Jump[15].DrawFlags.NoDraw = true
			Jump[16].DrawFlags.NoDraw = true
			Jump[17].DrawFlags.NoDraw = true
			Jump[18].DrawFlags.NoDraw = true
			Jump[19].DrawFlags.NoDraw = true
			Jump[20].DrawFlags.NoDraw = true
			Jump[21].DrawFlags.NoDraw = true
		end
		if self.Health <= 30 and self.Phase == 4 then
			self.MaxHealth = 30
			self.Damage = 20
			self.MaxDamage = 20
			self.Phase = 5
			RobberThief2 = CreateObject {x=37000, y=3248, z=1000, logic="RobberThief", image="LEVEL_ROBBERTHIEF", UserRect1 = {0,0,0,0}, UserRect2 = {0,0,0,0}}
			CutThroat2 = CreateObject {x=38520, y=3248, z=1000, logic="CutThroat", image="LEVEL_CUTTHROAT", UserRect1 = {0,0,0,0}, UserRect2 = {0,0,0,0}}
			Potion7 = CreateObject {x=37208, y=3424, z=1000, logic="HealthPowerup", image="GAME_HEALTH_POTION3"}
			Potion8 = CreateObject {x=38168, y=3424, z=1000, logic="HealthPowerup", image="GAME_HEALTH_POTION3"}
			RobberThief2.Flags.AlwaysActive = true
			CutThroat2.Flags.AlwaysActive = true
		end
	end
	if claw.Health <= 0 or claw.State == 5004 then
		self.State = 0
	end
end
